Skip to main content
PATCH
/
datasets
/
{datasetId}
Update a dataset
curl --request PATCH \
  --url https://api.adaline.ai/v2/datasets/{datasetId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "description": "<string>",
  "icon": {
    "type": "emoji",
    "value": "<string>"
  }
}
'
{
  "id": "<string>",
  "projectId": "<string>",
  "title": "<string>",
  "icon": {
    "type": "emoji",
    "value": "<string>"
  },
  "description": "<string>",
  "rowCount": 1,
  "createdAt": 17450965800000,
  "updatedAt": 17450965800000
}

Authorizations

Authorization
string
header
required

Workspace API key. Pass as Authorization: Bearer <key>.

Path Parameters

datasetId
string
required

Unique identifier for an entity, between 20 and 80 characters.

Required string length: 20 - 80

Body

application/json
title
string

Display title for an entity, up to 50 characters.

Required string length: 1 - 50
description
string
icon
Emoji Icon · object

Icon for an entity, either an emoji or an image URL.

Response

Dataset updated.

A dataset summary without column details.

id
string
required

Unique identifier for an entity, between 20 and 80 characters.

Required string length: 20 - 80
projectId
string
required

Unique identifier for an entity, between 20 and 80 characters.

Required string length: 20 - 80
title
string
required

Display title for an entity, up to 50 characters.

Required string length: 1 - 50
icon
Emoji Icon · object
required

Icon for an entity, either an emoji or an image URL.

description
string
required
Maximum string length: 100
rowCount
integer
required
Required range: x >= 0
createdAt
integer<int64>
required

Unix timestamp in milliseconds.

Required range: 1672511400000 <= x <= 33229420200000
updatedAt
integer<int64>
required

Unix timestamp in milliseconds.

Required range: 1672511400000 <= x <= 33229420200000